Can't upgrade to 4.0 from 3.1.3 on iTouch

Discussion in 'iPhone, iPod & iPad' started by Kishu, Sep 9, 2010.

  1. Kishu
    OP

    Kishu GBAtemp Regular

    Member
    104
    0
    Jul 24, 2007
    United States
    Whenever I try to shift-click on restore and try to update my iTouch, it gives me a 3194 error.
     
  2. ball2012003

    ball2012003 Newbie

    Do you mean your trying to downgrade from 4.0 to 3.1.3 or actually upgrade? If your trying to update don't restore to the new update just press update in iTunes to update it.
     
  3. Kishu
    OP

    Kishu GBAtemp Regular

    Member
    104
    0
    Jul 24, 2007
    United States
    Oh, I forgot to mention that I want to jailbreak my iTouch too.

    And I mean to upgrade from 3.1.3 to 4.0.
     
  4. Slyakin

    Slyakin See ya suckers

    Member
    4,450
    40
    Oct 15, 2008
    United States
    Soviet Slyakin
    Is it a first gen?

    The first gen isn't compatible with 4.0 and above. [​IMG]
     
  5. Kishu
    OP

    Kishu GBAtemp Regular

    Member
    104
    0
    Jul 24, 2007
    United States
    It's a 2G MC.
     
  6. Slyakin

    Slyakin See ya suckers

    Member
    4,450
    40
    Oct 15, 2008
    United States
    Soviet Slyakin
    Oh...

    I actually had problems updating too, so I'd try downloading the (correct) firmware again and then try it with that.

    If that doesn't work, sorry. [​IMG]
     
  7. Spikey

    Spikey Your Special Someone

    Member
    2,289
    24
    Mar 16, 2006
    United States
    Since 4.0, Apple has added more security so that you can only update to the most recent update. However, since this is a software thing, and not a hardware thing, it is easily bypassable. Here's a bit more information on the subject: http://blog.iphone-dev.org/post/833937433/blob-banter
     
  8. saxamo

    saxamo Spaaaaace!

    Member
    775
    33
    Aug 6, 2006
    United States
    NYC
    It is not easily bypassable. You might be shit out of luck. I'm in the same situation as you trying to update some iPods to 4.0 after I have backed up their SHSH blobs and no luck.
     
  9. Kishu
    OP

    Kishu GBAtemp Regular

    Member
    104
    0
    Jul 24, 2007
    United States
    Is there anything special about 4.0? Like, does it run more apps than 3.1.3?

    Cause if there isn't any difference, than I won't even bother trying to update it anymore
     
  10. Dialexio

    Dialexio GBAtemp Advanced Maniac

    Member
    1,548
    26
    Mar 14, 2009
    United States
    You're probably out of luck, as Apple just stopped signing 4.0 recently. [​IMG] If your SHSHs were backed up on Cydia/Umbrella (unlikely, but it wouldn't hurt to try it), you could restore to 4.0.

    Folders is probably the most significant iOS 4.x feature for iPod touch 2G; you can put multiple apps in a "folder" to save space on your SpringBoard.
     
  11. Kishu
    OP

    Kishu GBAtemp Regular

    Member
    104
    0
    Jul 24, 2007
    United States
    Oh, I see, then I won't bother.

    Thanks everyone who replied!
     
  12. Hypershad12

    Hypershad12 GBAtemp Fan

    Member
    316
    0
    Feb 13, 2009
    United States
    USA
    You have to change the hosts file for iTunes. Then download the 4.0 firmware, and update it holding the shift key and click restore button while your iPod is in DFU mode.(Does not require shsh blobs)
     
  13. Kishu
    OP

    Kishu GBAtemp Regular

    Member
    104
    0
    Jul 24, 2007
    United States
    Actually, is there any way to jailbreak a 3.1.3 MC Model?
     
  14. Dialexio

    Dialexio GBAtemp Advanced Maniac

    Member
    1,548
    26
    Mar 14, 2009
    United States
  15. metamaster

    metamaster GBAtemp Advanced Fan

    Member
    876
    3
    Mar 7, 2010
    Canada
    There is also an app that can get you folders in Cydia, but I think its payed (categories?). Also, star has been buggy lately, tried with a few itouches.. but I've never had problems with Spirit. Unfortunatly, if you have iTunes 10, you'll need to downgrade to 9.2.